- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# message.c File Reference

`#include <mpi/mpi.h>`

Include dependency graph for message.c:

Go to the source code of this file.

## Functions
void | sysMpiCreateMbox (uInt32 *status, char *name)
void | sysMpiDestroyMbox (uInt32 *status, char *name)
void | sysMpiFetchMessage (char *name, mpi_message_t *msg, uInt32 *status)
void | sysMpiPostMessage (char *name, uInt32 *type, mpi_message_t *data)
void | sysMpiSpam (uInt32 type, void *data, uInt32 *status)

## Function Documentation

void sysMpiCreateMbox | ( | uInt32 * | status,
|  | char * | name |
| ) |  |  |

Definition at line 32 of file message.c.

References mpi_createMbox().

Here is the call graph for this function:

void sysMpiDestroyMbox | ( | uInt32 * | status,
|  | char * | name |
| ) |  |  |

Definition at line 38 of file message.c.

References mpi_destroyMbox().

Here is the call graph for this function:

void sysMpiFetchMessage | ( | char * | name,
|  | mpi_message_t * | msg,
|  | uInt32 * | status |
| ) |  |  |

Definition at line 50 of file message.c.

References mpi_fetchMessage().

Here is the call graph for this function:

void sysMpiPostMessage | ( | char * | name,
|  | uInt32 * | type,
|  | mpi_message_t * | data |
| ) |  |  |

Definition at line 44 of file message.c.

References mpi_postMessage().

Here is the call graph for this function:

void sysMpiSpam | ( | uInt32 | type,
|  | void * | data,
|  | uInt32 * | status |
| ) |  |  |

Definition at line 56 of file message.c.

References mpi_spam().

Here is the call graph for this function: